Ledga
PUT /account-sets/{accountSetId}

Update an account set

Update the specified account set

Parameters

NameInTypeDescription
accountSetIdrequired path string
uuid
Account Set UUID

Request bodyrequired

FieldTypeDescription
coderequired string
namerequired string
description string
nullable
metadata object
nullable

Responses

200Account set updated
{
  "success": true,
  "data": {
    "id": "01997c1e-4d2a-7c3e-9a1b-2f0e8c6d4b5a",
    "ledger_id": "01997c1e-4d2a-7c3e-9a1b-2f0e8c6d4b5a",
    "code": "OPERATING_EXPENSES",
    "name": "Operating Expenses",
    "description": null,
    "metadata": null,
    "created_at": "2026-01-15T10:30:00Z",
    "updated_at": "2026-01-15T10:30:00Z"
  }
}
401Unauthenticated
{
  "success": false,
  "message": "Validation failed",
  "code": "VALIDATION_ERROR"
}
403Forbidden
{
  "success": false,
  "message": "Validation failed",
  "code": "VALIDATION_ERROR"
}
404Account set not found
{
  "success": false,
  "message": "Validation failed",
  "code": "VALIDATION_ERROR"
}
422Validation error
{
  "success": false,
  "message": "Validation failed",
  "code": "VALIDATION_ERROR"
}

Examples

curl -X PUT https://ledga.io/api/v1/account-sets/{accountSetId} \
  -H "Authorization: Bearer sk_xxxxxxxx_your_secret" \
  -H "Content-Type: application/json" \
  -d '{
  "code": "string",
  "name": "string"
}'

← All endpoints